##
# Only for use with unit tests.
#
# See Borges::CallbackStore

class CallbackStore #:nodoc:

  def initialize
    @callback_num = 0
  end

  def store
    @callback_num += 1
  end

  alias :register_callback :store
  alias :register_action_callback :store
  alias :register_dispatch_callback :store

end # class CallbackStore


